跳转到主要内容
POST
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
documents
创建事务文档,在单个处理单元中对多个文件进行分组
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json-patch+json' \
  --data '
{
  "index": "<string>",
  "imageProcessingOptions": {
    "autoCrop": "Default",
    "autoOrientation": "Default"
  }
}
'
{
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

授权

Authorization
string
header
必填

The access token received from the authorization server in the OAuth 2.0 flow.

路径参数

transactionId
string<uuid>
必填

事务标识符。成功创建事务后,您会在响应中收到它。

请求体

index
string | null

该事务中的文档将根据此参数进行排序

imageProcessingOptions
object

导入图像的预处理设置

响应

已成功向事务中添加文档

documentId
string<uuid>
必填

文档 ID